\defgroup opengl OpenGL rendering
\ingroup Graphics3D
\brief OpenGL rendering and utility classes

The GL module incapsulates ROOT's interface to the OpenGL rendering
engine and provides the following functionality:

  - management of system-resources;
  - frequently used utility classes;
  - base-classes for shapes, scenes and viewers;
  - concrete implementations of shapes needed by TGeo package;
  - concrete implementations of scenes and viewers including the GUI components;
  - specialized plot-painters for GL rendering of TH2, TH3, TF2 and TF3 object as well as parametric surfaces.

Papers describing OpenGL in ROOT:
  - [ROOT 3D graphics](http://indico.cern.ch/contributionDisplay.py?contribId=93&sessionId=4&confId=048), presented at CHEP 2006.
  - [3D graphics with OpenGL: recent improvements and plans](http://indico.cern.ch/contributionDisplay.py?contribId=23&confId=13356), presented at ROOT Workshop 2007
  - [Next generation of OpenGL support in ROOT](http://indico.cern.ch/contributionDisplay.py?contribId=445&sessionId=28&confId=3580), presented at CHEP 2007.
